https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}/generateVerificationCodeGenerate verification code for Proof of Possession.
The mandatory logical name of the certificate, that the provisioning service uses to access.
name of resource group.
Name of provisioning service.
Common Name for the certificate.
Raw data of certificate.
Indicates if the certificate has been verified by owner of the private key.
Description mentioning the purpose of the certificate.
Certificate creation time.
Certificate last updated time.
Indicates if the certificate contains private key.
Random number generated to indicate Proof of Possession.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}/generateVerificationCode' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}/generateVerificationCodeGenerate verification code for Proof of Possession.
The mandatory logical name of the certificate, that the provisioning service uses to access.
name of resource group.
Name of provisioning service.
Common Name for the certificate.
Raw data of certificate.
Indicates if the certificate has been verified by owner of the private key.
Description mentioning the purpose of the certificate.
Certificate creation time.
Certificate last updated time.
Indicates if the certificate contains private key.
Random number generated to indicate Proof of Possession.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}/generateVerificationCode' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}